.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_ConcavePolygonShape:

ConcavePolygonShape
===================

**Inherits:** :ref:`Shape<class_shape>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Concave polygon shape.

Member Functions
----------------

+--------------------------------------------------+---------------------------------------------------------------------------------------------------------------------------+
| :ref:`PoolVector3Array<class_poolvector3array>`  | :ref:`get_faces<class_ConcavePolygonShape_get_faces>`  **(** **)** const                                                  |
+--------------------------------------------------+---------------------------------------------------------------------------------------------------------------------------+
| void                                             | :ref:`set_faces<class_ConcavePolygonShape_set_faces>`  **(** :ref:`PoolVector3Array<class_poolvector3array>` faces  **)** |
+--------------------------------------------------+---------------------------------------------------------------------------------------------------------------------------+

Description
-----------

Concave polygon shape resource, which can be set into a :ref:`PhysicsBody<class_physicsbody>` or area. This shape is created by feeding a list of triangles.

Member Function Description
---------------------------

.. _class_ConcavePolygonShape_get_faces:

- :ref:`PoolVector3Array<class_poolvector3array>`  **get_faces**  **(** **)** const

Return the faces (an array of triangles).

.. _class_ConcavePolygonShape_set_faces:

- void  **set_faces**  **(** :ref:`PoolVector3Array<class_poolvector3array>` faces  **)**

Set the faces (an array of triangles).


